Last Comment Bug 627647 - "ASSERTION: Can only call this on frames that have been reflowed" after enabling accessibility
: "ASSERTION: Can only call this on frames that have been reflowed" after enabl...
Status: RESOLVED FIXED
: assertion, testcase
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Nobody; OK to take it and work on it
:
: alexander :surkov
Mentors:
Depends on: 626660
Blocks: stirdom
  Show dependency treegraph
 
Reported: 2011-01-21 00:05 PST by Jesse Ruderman
Modified: 2011-10-18 01:44 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (104 bytes, text/html)
2011-01-21 00:05 PST, Jesse Ruderman
no flags Details
stack trace (4.35 KB, text/plain)
2011-01-21 00:06 PST, Jesse Ruderman
no flags Details

Description Jesse Ruderman 2011-01-21 00:05:48 PST
Created attachment 505719 [details]
testcase

This is one of the few accessibility-related assertions I'm hitting now that bug 498015 is fixed :)

1. Start a fresh instance of Firefox (so accessibility is disabled).
2. Load the testcase.
3. Enable accessibility, e.g. by pasting the following into the js console:

Components
  .classes["@mozilla.org/accessibilityService;1"]
  .getService(Components.interfaces.nsIAccessibleRetrieval);

4. Click the button in the testcase.

Result:

###!!! ASSERTION: Can only call this on frames that have been reflowed: '!(GetStateBits() & NS_FRAME_FIRST_REFLOW)', file layout/generic/nsTextFrameThebes.cpp, line 2218
Comment 1 Jesse Ruderman 2011-01-21 00:06:10 PST
Created attachment 505720 [details]
stack trace
Comment 2 David Bolter [:davidb] 2011-01-21 07:18:07 PST
(In reply to comment #0)
> Created attachment 505719 [details]
> testcase
> 
> This is one of the few accessibility-related assertions I'm hitting now that
> bug 498015 is fixed :)
> 

Awesome.

Note I think this will be fixed alongside bug 613058 and bug 612098 (both soft blockers).

Once we get to zero assertions we'll strive to keep it there.
Comment 3 alexander :surkov 2011-10-07 10:12:21 PDT
still can see the assertion browsing the web:

>	xul.dll!nsTextFrame::GetTrimmedOffsets(const nsTextFragment * aFrag, bool aTrimAfter)  Line 2315 + 0x37 bytes	C++
 	xul.dll!nsTextFrame::GetRenderedText(nsAString_internal * aAppendToString, gfxSkipChars * aSkipChars, gfxSkipCharsIterator * aSkipIter, unsigned int aSkippedStartOffset, unsigned int aSkippedMaxLength)  Line 7605	C++
 	xul.dll!nsAccessibilityService::GetOrCreateAccessible(nsINode * aNode, nsIPresShell * aPresShell, nsIWeakReference * aWeakShell, bool * aIsSubtreeHidden)  Line 996	C++
 	xul.dll!nsAccTreeWalker::NextChildInternal(bool aNoWalkUp)  Line 120 + 0x55 bytes	C++
 	xul.dll!nsAccTreeWalker::NextChild()  Line 70	C++
 	xul.dll!nsAccessible::CacheChildren()  Line 2985 + 0x8 bytes	C++
 	xul.dll!nsAccessible::EnsureChildren()  Line 3027	C++
 	xul.dll!nsDocAccessible::CacheChildrenInSubtree(nsAccessible * aRoot)  Line 1954	C++
 	xul.dll!nsDocAccessible::CacheChildrenInSubtree(nsAccessible * aRoot)  Line 1961	C++
 	xul.dll!nsDocAccessible::CacheChildrenInSubtree(nsAccessible * aRoot)  Line 1961	C++
 	xul.dll!nsDocAccessible::CacheChildrenInSubtree(nsAccessible * aRoot)  Line 1961	C++
 	xul.dll!nsDocAccessible::CacheChildrenInSubtree(nsAccessible * aRoot)  Line 1961	C++
 	xul.dll!nsDocAccessible::DoInitialUpdate()  Line 1520	C++
 	xul.dll!nsDocAccessibleWrap::DoInitialUpdate()  Line 277	C++
 	xul.dll!NotificationController::WillRefresh(mozilla::TimeStamp aTime)  Line 230	C++
 	xul.dll!nsRefreshDriver::Notify(nsITimer * aTimer)  Line 359	C++
 	xul.dll!nsTimerImpl::Fire()  Line 428	C++
Comment 4 alexander :surkov 2011-10-18 01:44:24 PDT
fixed by bug 680085

Note You need to log in before you can comment on or make changes to this bug.